Update a workspace branch
Update an existing branch’s label, description, or color.
Authentication: required
Required API Scope: Instance Workspace: Update
PUT
/
workspace
/
{workspace_id}
/
branch
/
{branch_label}
Update a workspace branch
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/branch/{branch_label} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "updated-branch",
"description": "Updated description",
"color": "#ff5733"
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/branch/{branch_label}"
payload = {
"label": "updated-branch",
"description": "Updated description",
"color": "#ff5733"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'updated-branch', description: 'Updated description', color: '#ff5733'})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/branch/{branch_label}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-06-22 22:59:11+0000",
"label": "v1",
"live": true,
"backup": "false"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I
Update a workspace branch
